[Elven Oracle Class Transfer]:
An Elven Oracle who reaches level 40 can proceed with the 2nd class transfer to become an Elder. In order to become an Elder the character must successfully complete three quests. The Trial of the Pilgrim may be undertaken by a player of level 35 or above. This quest begins by meeting with Hermit Santiago in a farmhouse near the Orc Barracks in Gludio. The Testimony of Life may be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of the Healer may be undertaken by a player of level 39 or above. This quest begins by meeting with Priest Bandellos of Giran Castle Town.
Return
Close Window